Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ImperativeOCLPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeOCLPackageImpl

All Implemented Interfaces:
  ImperativeOCLPackage

    public class ImperativeOCLPackageImpl

extends EPackageImpl
implements ImperativeOCLPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeOCLPackage
`ImperativeOCLPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeOCLPackage
`ALT_EXP, ALT_EXP__BODY, ALT_EXP__CONDITION, ALT_EXP__EANNOTATIONS, ALT_EXP__EGENERIC_TYPE, ALT_EXP__END_POSITION, ALT_EXP__ETYPE, ALT_EXP__LOWER_BOUND, ALT_EXP__MANY, ALT_EXP__NAME, ALT_EXP__ORDERED, ALT_EXP__REQUIRED, ALT_EXP__START_POSITION, ALT_EXP__UNIQUE, ALT_EXP__UPPER_BOUND, ALT_EXP_FEATURE_COUNT, ASSERT_EXP, ASSERT_EXP__ASSERTION, ASSERT_EXP__EANNOTATIONS, ASSERT_EXP__EGENERIC_TYPE, ASSERT_EXP__END_POSITION, ASSERT_EXP__ETYPE, ASSERT_EXP__LOG, ASSERT_EXP__LOWER_BOUND, ASSERT_EXP__MANY, ASSERT_EXP__NAME, ASSERT_EXP__ORDERED, ASSERT_EXP__REQUIRED, ASSERT_EXP__SEVERITY, ASSERT_EXP__START_POSITION, ASSERT_EXP__UNIQUE, ASSERT_EXP__UPPER_BOUND, ASSERT_EXP_FEATURE_COUNT, ASSIGN_EXP, ASSIGN_EXP__DEFAULT_VALUE, ASSIGN_EXP__EANNOTATIONS, ASSIGN_EXP__EGENERIC_TYPE, ASSIGN_EXP__END_POSITION, ASSIGN_EXP__ETYPE, ASSIGN_EXP__IS_RESET, ASSIGN_EXP__LEFT, ASSIGN_EXP__LOWER_BOUND, ASSIGN_EXP__MANY, ASSIGN_EXP__NAME, ASSIGN_EXP__ORDERED, ASSIGN_EXP__REQUIRED, ASSIGN_EXP__START_POSITION, ASSIGN_EXP__UNIQUE, ASSIGN_EXP__UPPER_BOUND, ASSIGN_EXP__VALUE, ASSIGN_EXP_FEATURE_COUNT, BLOCK_EXP, BLOCK_EXP__BODY, BLOCK_EXP__EANNOTATIONS, BLOCK_EXP__EGENERIC_TYPE, BLOCK_EXP__END_POSITION, BLOCK_EXP__ETYPE, BLOCK_EXP__LOWER_BOUND, BLOCK_EXP__MANY, BLOCK_EXP__NAME, BLOCK_EXP__ORDERED, BLOCK_EXP__REQUIRED, BLOCK_EXP__START_POSITION, BLOCK_EXP__UNIQUE, BLOCK_EXP__UPPER_BOUND, BLOCK_EXP_FEATURE_COUNT, BREAK_EXP, BREAK_EXP__EANNOTATIONS, BREAK_EXP__EGENERIC_TYPE, BREAK_EXP__END_POSITION, BREAK_EXP__ETYPE, BREAK_EXP__LOWER_BOUND, BREAK_EXP__MANY, BREAK_EXP__NAME, BREAK_EXP__ORDERED, BREAK_EXP__REQUIRED, BREAK_EXP__START_POSITION, BREAK_EXP__UNIQUE, BREAK_EXP__UPPER_BOUND, BREAK_EXP_FEATURE_COUNT, CATCH_EXP, CATCH_EXP__BODY, CATCH_EXP__EANNOTATIONS, CATCH_EXP__EGENERIC_TYPE, CATCH_EXP__END_POSITION, CATCH_EXP__ETYPE, CATCH_EXP__EXCEPTION, CATCH_EXP__LOWER_BOUND, CATCH_EXP__MANY, CATCH_EXP__NAME, CATCH_EXP__ORDERED, CATCH_EXP__REQUIRED, CATCH_EXP__START_POSITION, CATCH_EXP__UNIQUE, CATCH_EXP__UPPER_BOUND, CATCH_EXP_FEATURE_COUNT, COMPUTE_EXP, COMPUTE_EXP__BODY, COMPUTE_EXP__EANNOTATIONS, COMPUTE_EXP__EGENERIC_TYPE, COMPUTE_EXP__END_POSITION, COMPUTE_EXP__ETYPE, COMPUTE_EXP__LOWER_BOUND, COMPUTE_EXP__MANY, COMPUTE_EXP__NAME, COMPUTE_EXP__ORDERED, COMPUTE_EXP__REQUIRED, COMPUTE_EXP__RETURNED_ELEMENT, COMPUTE_EXP__START_POSITION, COMPUTE_EXP__UNIQUE, COMPUTE_EXP__UPPER_BOUND, COMPUTE_EXP_FEATURE_COUNT, CONTINUE_EXP, CONTINUE_EXP__EANNOTATIONS, CONTINUE_EXP__EGENERIC_TYPE, CONTINUE_EXP__END_POSITION, CONTINUE_EXP__ETYPE, CONTINUE_EXP__LOWER_BOUND, CONTINUE_EXP__MANY, CONTINUE_EXP__NAME, CONTINUE_EXP__ORDERED, CONTINUE_EXP__REQUIRED, CONTINUE_EXP__START_POSITION, CONTINUE_EXP__UNIQUE, CONTINUE_EXP__UPPER_BOUND, CONTINUE_EXP_FEATURE_COUNT, DICT_LITERAL_EXP, DICT_LITERAL_EXP__EANNOTATIONS, DICT_LITERAL_EXP__EGENERIC_TYPE, DICT_LITERAL_EXP__END_POSITION, DICT_LITERAL_EXP__ETYPE, DICT_LITERAL_EXP__LOWER_BOUND, DICT_LITERAL_EXP__MANY, DICT_LITERAL_EXP__NAME, DICT_LITERAL_EXP__ORDERED, DICT_LITERAL_EXP__PART, DICT_LITERAL_EXP__REQUIRED, DICT_LITERAL_EXP__START_POSITION, DICT_LITERAL_EXP__UNIQUE, DICT_LITERAL_EXP__UPPER_BOUND, DICT_LITERAL_EXP_FEATURE_COUNT, DICT_LITERAL_PART, DICT_LITERAL_PART__EANNOTATIONS, DICT_LITERAL_PART__KEY, DICT_LITERAL_PART__VALUE, DICT_LITERAL_PART_FEATURE_COUNT, DICTIONARY_TYPE, DICTIONARY_TYPE__DEFAULT_VALUE, DICTIONARY_TYPE__EANNOTATIONS, DICTIONARY_TYPE__ELEMENT_TYPE, DICTIONARY_TYPE__END_POSITION, DICTIONARY_TYPE__EPACKAGE, DICTIONARY_TYPE__ETYPE_PARAMETERS, DICTIONARY_TYPE__INSTANCE_CLASS, DICTIONARY_TYPE__INSTANCE_CLASS_NAME, DICTIONARY_TYPE__INSTANCE_TYPE_NAME, DICTIONARY_TYPE__KEY_TYPE, DICTIONARY_TYPE__KIND, DICTIONARY_TYPE__NAME, DICTIONARY_TYPE__SERIALIZABLE, DICTIONARY_TYPE__START_POSITION, DICTIONARY_TYPE__TYPE_END_POSITION, DICTIONARY_TYPE__TYPE_START_POSITION, DICTIONARY_TYPE_FEATURE_COUNT, eCONTENT_TYPE, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FOR_EXP, FOR_EXP__BODY, FOR_EXP__CONDITION, FOR_EXP__EANNOTATIONS, FOR_EXP__EGENERIC_TYPE, FOR_EXP__END_POSITION, FOR_EXP__ETYPE, FOR_EXP__ITERATOR, FOR_EXP__LOWER_BOUND, FOR_EXP__MANY, FOR_EXP__NAME, FOR_EXP__ORDERED, FOR_EXP__PROPERTY_END_POSITION, FOR_EXP__PROPERTY_START_POSITION, FOR_EXP__REQUIRED, FOR_EXP__SOURCE, FOR_EXP__START_POSITION, FOR_EXP__UNIQUE, FOR_EXP__UPPER_BOUND, FOR_EXP_FEATURE_COUNT, IMPERATIVE_EXPRESSION, IMPERATIVE_EXPRESSION__EANNOTATIONS, IMPERATIVE_EXPRESSION__EGENERIC_TYPE, IMPERATIVE_EXPRESSION__END_POSITION, IMPERATIVE_EXPRESSION__ETYPE, IMPERATIVE_EXPRESSION__LOWER_BOUND, IMPERATIVE_EXPRESSION__MANY, IMPERATIVE_EXPRESSION__NAME, IMPERATIVE_EXPRESSION__ORDERED, IMPERATIVE_EXPRESSION__REQUIRED, IMPERATIVE_EXPRESSION__START_POSITION, IMPERATIVE_EXPRESSION__UNIQUE, IMPERATIVE_EXPRESSION__UPPER_BOUND, IMPERATIVE_EXPRESSION_FEATURE_COUNT, IMPERATIVE_ITERATE_EXP, IMPERATIVE_ITERATE_EXP__BODY, IMPERATIVE_ITERATE_EXP__CONDITION, IMPERATIVE_ITERATE_EXP__EANNOTATIONS, IMPERATIVE_ITERATE_EXP__EGENERIC_TYPE, IMPERATIVE_ITERATE_EXP__END_POSITION, IMPERATIVE_ITERATE_EXP__ETYPE, IMPERATIVE_ITERATE_EXP__ITERATOR, IMPERATIVE_ITERATE_EXP__LOWER_BOUND, IMPERATIVE_ITERATE_EXP__MANY, IMPERATIVE_ITERATE_EXP__NAME, IMPERATIVE_ITERATE_EXP__ORDERED, IMPERATIVE_ITERATE_EXP__PROPERTY_END_POSITION, IMPERATIVE_ITERATE_EXP__PROPERTY_START_POSITION, IMPERATIVE_ITERATE_EXP__REQUIRED, IMPERATIVE_ITERATE_EXP__SOURCE, IMPERATIVE_ITERATE_EXP__START_POSITION, IMPERATIVE_ITERATE_EXP__TARGET, IMPERATIVE_ITERATE_EXP__UNIQUE, IMPERATIVE_ITERATE_EXP__UPPER_BOUND, IMPERATIVE_ITERATE_EXP_FEATURE_COUNT, IMPERATIVE_LOOP_EXP, IMPERATIVE_LOOP_EXP__BODY, IMPERATIVE_LOOP_EXP__CONDITION, IMPERATIVE_LOOP_EXP__EANNOTATIONS, IMPERATIVE_LOOP_EXP__EGENERIC_TYPE, IMPERATIVE_LOOP_EXP__END_POSITION, IMPERATIVE_LOOP_EXP__ETYPE, IMPERATIVE_LOOP_EXP__ITERATOR, IMPERATIVE_LOOP_EXP__LOWER_BOUND, IMPERATIVE_LOOP_EXP__MANY, IMPERATIVE_LOOP_EXP__NAME, IMPERATIVE_LOOP_EXP__ORDERED, IMPERATIVE_LOOP_EXP__PROPERTY_END_POSITION, IMPERATIVE_LOOP_EXP__PROPERTY_START_POSITION, IMPERATIVE_LOOP_EXP__REQUIRED, IMPERATIVE_LOOP_EXP__SOURCE, IMPERATIVE_LOOP_EXP__START_POSITION, IMPERATIVE_LOOP_EXP__UNIQUE, IMPERATIVE_LOOP_EXP__UPPER_BOUND, IMPERATIVE_LOOP_EXP_FEATURE_COUNT, INSTANTIATION_EXP, INSTANTIATION_EXP__ARGUMENT, INSTANTIATION_EXP__EANNOTATIONS, INSTANTIATION_EXP__EGENERIC_TYPE, INSTANTIATION_EXP__END_POSITION, INSTANTIATION_EXP__ETYPE, INSTANTIATION_EXP__EXTENT, INSTANTIATION_EXP__INSTANTIATED_CLASS, INSTANTIATION_EXP__LOWER_BOUND, INSTANTIATION_EXP__MANY, INSTANTIATION_EXP__NAME, INSTANTIATION_EXP__ORDERED, INSTANTIATION_EXP__REQUIRED, INSTANTIATION_EXP__START_POSITION, INSTANTIATION_EXP__UNIQUE, INSTANTIATION_EXP__UPPER_BOUND, INSTANTIATION_EXP_FEATURE_COUNT, LIST_LITERAL_EXP, LIST_LITERAL_EXP__EANNOTATIONS, LIST_LITERAL_EXP__EGENERIC_TYPE, LIST_LITERAL_EXP__ELEMENT, LIST_LITERAL_EXP__END_POSITION, LIST_LITERAL_EXP__ETYPE, LIST_LITERAL_EXP__LOWER_BOUND, LIST_LITERAL_EXP__MANY, LIST_LITERAL_EXP__NAME, LIST_LITERAL_EXP__ORDERED, LIST_LITERAL_EXP__REQUIRED, LIST_LITERAL_EXP__START_POSITION, LIST_LITERAL_EXP__UNIQUE, LIST_LITERAL_EXP__UPPER_BOUND, LIST_LITERAL_EXP_FEATURE_COUNT, LIST_TYPE, LIST_TYPE__DEFAULT_VALUE, LIST_TYPE__EANNOTATIONS, LIST_TYPE__ELEMENT_TYPE, LIST_TYPE__END_POSITION, LIST_TYPE__EPACKAGE, LIST_TYPE__ETYPE_PARAMETERS, LIST_TYPE__INSTANCE_CLASS, LIST_TYPE__INSTANCE_CLASS_NAME, LIST_TYPE__INSTANCE_TYPE_NAME, LIST_TYPE__KIND, LIST_TYPE__NAME, LIST_TYPE__SERIALIZABLE, LIST_TYPE__START_POSITION, LIST_TYPE__TYPE_END_POSITION, LIST_TYPE__TYPE_START_POSITION, LIST_TYPE_FEATURE_COUNT, LOG_EXP, LOG_EXP__ARGUMENT, LOG_EXP__CONDITION, LOG_EXP__EANNOTATIONS, LOG_EXP__EGENERIC_TYPE, LOG_EXP__END_POSITION, LOG_EXP__ETYPE, LOG_EXP__LOWER_BOUND, LOG_EXP__MANY, LOG_EXP__MARKED_PRE, LOG_EXP__NAME, LOG_EXP__OPERATION_CODE, LOG_EXP__ORDERED, LOG_EXP__PROPERTY_END_POSITION, LOG_EXP__PROPERTY_START_POSITION, LOG_EXP__REFERRED_OPERATION, LOG_EXP__REQUIRED, LOG_EXP__SOURCE, LOG_EXP__START_POSITION, LOG_EXP__UNIQUE, LOG_EXP__UPPER_BOUND, LOG_EXP_FEATURE_COUNT, ORDERED_TUPLE_LITERAL_EXP, ORDERED_TUPLE_LITERAL_EXP__EANNOTATIONS, ORDERED_TUPLE_LITERAL_EXP__EGENERIC_TYPE, ORDERED_TUPLE_LITERAL_EXP__END_POSITION, ORDERED_TUPLE_LITERAL_EXP__ETYPE, ORDERED_TUPLE_LITERAL_EXP__LOWER_BOUND, ORDERED_TUPLE_LITERAL_EXP__MANY, ORDERED_TUPLE_LITERAL_EXP__NAME, ORDERED_TUPLE_LITERAL_EXP__ORDERED, ORDERED_TUPLE_LITERAL_EXP__PART, ORDERED_TUPLE_LITERAL_EXP__REQUIRED, ORDERED_TUPLE_LITERAL_EXP__START_POSITION, ORDERED_TUPLE_LITERAL_EXP__UNIQUE, ORDERED_TUPLE_LITERAL_EXP__UPPER_BOUND, ORDERED_TUPLE_LITERAL_EXP_FEATURE_COUNT, ORDERED_TUPLE_LITERAL_PART, ORDERED_TUPLE_LITERAL_PART__EANNOTATIONS, ORDERED_TUPLE_LITERAL_PART__VALUE, ORDERED_TUPLE_LITERAL_PART_FEATURE_COUNT, ORDERED_TUPLE_TYPE, ORDERED_TUPLE_TYPE__ABSTRACT, ORDERED_TUPLE_TYPE__DEFAULT_VALUE, ORDERED_TUPLE_TYPE__EALL_ATTRIBUTES, ORDERED_TUPLE_TYPE__EALL_CONTAINMENTS, ORDERED_TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES, ORDERED_TUPLE_TYPE__EALL_OPERATIONS, ORDERED_TUPLE_TYPE__EALL_REFERENCES, ORDERED_TUPLE_TYPE__EALL_STRUCTURAL_FEATURES, ORDERED_TUPLE_TYPE__EALL_SUPER_TYPES, ORDERED_TUPLE_TYPE__EANNOTATIONS, ORDERED_TUPLE_TYPE__EATTRIBUTES, ORDERED_TUPLE_TYPE__EGENERIC_SUPER_TYPES, ORDERED_TUPLE_TYPE__EID_ATTRIBUTE, ORDERED_TUPLE_TYPE__ELEMENT_TYPE, ORDERED_TUPLE_TYPE__EOPERATIONS, ORDERED_TUPLE_TYPE__EPACKAGE, ORDERED_TUPLE_TYPE__EREFERENCES, ORDERED_TUPLE_TYPE__ESTRUCTURAL_FEATURES, ORDERED_TUPLE_TYPE__ESUPER_TYPES, ORDERED_TUPLE_TYPE__ETYPE_PARAMETERS, ORDERED_TUPLE_TYPE__INSTANCE_CLASS, ORDERED_TUPLE_TYPE__INSTANCE_CLASS_NAME, ORDERED_TUPLE_TYPE__INSTANCE_TYPE_NAME, ORDERED_TUPLE_TYPE__INTERFACE, ORDERED_TUPLE_TYPE__NAME, ORDERED_TUPLE_TYPE_FEATURE_COUNT, RAISE_EXP, RAISE_EXP__ARGUMENT, RAISE_EXP__EANNOTATIONS, RAISE_EXP__EGENERIC_TYPE, RAISE_EXP__END_POSITION, RAISE_EXP__ETYPE, RAISE_EXP__EXCEPTION, RAISE_EXP__LOWER_BOUND, RAISE_EXP__MANY, RAISE_EXP__NAME, RAISE_EXP__ORDERED, RAISE_EXP__REQUIRED, RAISE_EXP__START_POSITION, RAISE_EXP__UNIQUE, RAISE_EXP__UPPER_BOUND, RAISE_EXP_FEATURE_COUNT, RETURN_EXP, RETURN_EXP__EANNOTATIONS, RETURN_EXP__EGENERIC_TYPE, RETURN_EXP__END_POSITION, RETURN_EXP__ETYPE, RETURN_EXP__LOWER_BOUND, RETURN_EXP__MANY, RETURN_EXP__NAME, RETURN_EXP__ORDERED, RETURN_EXP__REQUIRED, RETURN_EXP__START_POSITION, RETURN_EXP__UNIQUE, RETURN_EXP__UPPER_BOUND, RETURN_EXP__VALUE, RETURN_EXP_FEATURE_COUNT, SEVERITY_KIND, SWITCH_EXP, SWITCH_EXP__ALTERNATIVE_PART, SWITCH_EXP__EANNOTATIONS, SWITCH_EXP__EGENERIC_TYPE, SWITCH_EXP__ELSE_PART, SWITCH_EXP__END_POSITION, SWITCH_EXP__ETYPE, SWITCH_EXP__LOWER_BOUND, SWITCH_EXP__MANY, SWITCH_EXP__NAME, SWITCH_EXP__ORDERED, SWITCH_EXP__REQUIRED, SWITCH_EXP__START_POSITION, SWITCH_EXP__UNIQUE, SWITCH_EXP__UPPER_BOUND, SWITCH_EXP_FEATURE_COUNT, TRY_EXP, TRY_EXP__EANNOTATIONS, TRY_EXP__EGENERIC_TYPE, TRY_EXP__END_POSITION, TRY_EXP__ETYPE, TRY_EXP__EXCEPT_CLAUSE, TRY_EXP__LOWER_BOUND, TRY_EXP__MANY, TRY_EXP__NAME, TRY_EXP__ORDERED, TRY_EXP__REQUIRED, TRY_EXP__START_POSITION, TRY_EXP__TRY_BODY, TRY_EXP__UNIQUE, TRY_EXP__UPPER_BOUND, TRY_EXP_FEATURE_COUNT, TYPEDEF, TYPEDEF__ABSTRACT, TYPEDEF__BASE, TYPEDEF__CONDITION, TYPEDEF__DEFAULT_VALUE, TYPEDEF__EALL_ATTRIBUTES, TYPEDEF__EALL_CONTAINMENTS, TYPEDEF__EALL_GENERIC_SUPER_TYPES, TYPEDEF__EALL_OPERATIONS, TYPEDEF__EALL_REFERENCES, TYPEDEF__EALL_STRUCTURAL_FEATURES, TYPEDEF__EALL_SUPER_TYPES, TYPEDEF__EANNOTATIONS, TYPEDEF__EATTRIBUTES, TYPEDEF__EGENERIC_SUPER_TYPES, TYPEDEF__EID_ATTRIBUTE, TYPEDEF__EOPERATIONS, TYPEDEF__EPACKAGE, TYPEDEF__EREFERENCES, TYPEDEF__ESTRUCTURAL_FEATURES, TYPEDEF__ESUPER_TYPES, TYPEDEF__ETYPE_PARAMETERS, TYPEDEF__INSTANCE_CLASS, TYPEDEF__INSTANCE_CLASS_NAME, TYPEDEF__INSTANCE_TYPE_NAME, TYPEDEF__INTERFACE, TYPEDEF__NAME, TYPEDEF_FEATURE_COUNT, UNLINK_EXP, UNLINK_EXP__EANNOTATIONS, UNLINK_EXP__EGENERIC_TYPE, UNLINK_EXP__END_POSITION, UNLINK_EXP__ETYPE, UNLINK_EXP__ITEM, UNLINK_EXP__LOWER_BOUND, UNLINK_EXP__MANY, UNLINK_EXP__NAME, UNLINK_EXP__ORDERED, UNLINK_EXP__REQUIRED, UNLINK_EXP__START_POSITION, UNLINK_EXP__TARGET, UNLINK_EXP__UNIQUE, UNLINK_EXP__UPPER_BOUND, UNLINK_EXP_FEATURE_COUNT, UNPACK_EXP, UNPACK_EXP__EANNOTATIONS, UNPACK_EXP__EGENERIC_TYPE, UNPACK_EXP__END_POSITION, UNPACK_EXP__ETYPE, UNPACK_EXP__LOWER_BOUND, UNPACK_EXP__MANY, UNPACK_EXP__NAME, UNPACK_EXP__ORDERED, UNPACK_EXP__REQUIRED, UNPACK_EXP__SOURCE, UNPACK_EXP__START_POSITION, UNPACK_EXP__TARGET_VARIABLE, UNPACK_EXP__UNIQUE, UNPACK_EXP__UPPER_BOUND, UNPACK_EXP_FEATURE_COUNT, VARIABLE_INIT_EXP, VARIABLE_INIT_EXP__EANNOTATIONS, VARIABLE_INIT_EXP__EGENERIC_TYPE, VARIABLE_INIT_EXP__END_POSITION, VARIABLE_INIT_EXP__ETYPE, VARIABLE_INIT_EXP__LOWER_BOUND, VARIABLE_INIT_EXP__MANY, VARIABLE_INIT_EXP__NAME, VARIABLE_INIT_EXP__ORDERED, VARIABLE_INIT_EXP__REFERRED_VARIABLE, VARIABLE_INIT_EXP__REQUIRED, VARIABLE_INIT_EXP__START_POSITION, VARIABLE_INIT_EXP__UNIQUE, VARIABLE_INIT_EXP__UPPER_BOUND, VARIABLE_INIT_EXP__WITH_RESULT, VARIABLE_INIT_EXP_FEATURE_COUNT, WHILE_EXP, WHILE_EXP__BODY, WHILE_EXP__CONDITION, WHILE_EXP__EANNOTATIONS, WHILE_EXP__EGENERIC_TYPE, WHILE_EXP__END_POSITION, WHILE_EXP__ETYPE, WHILE_EXP__LOWER_BOUND, WHILE_EXP__MANY, WHILE_EXP__NAME, WHILE_EXP__ORDERED, WHILE_EXP__REQUIRED, WHILE_EXP__START_POSITION, WHILE_EXP__UNIQUE, WHILE_EXP__UPPER_BOUND, WHILE_EXP_FEATURE_COUNT`

Method Summary
`protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore
`protected void` | `createEmofAnnotations()` Initializes the annotations for http://schema.omg.org/spec/MOF/2.0/emof.xml#Property.oppositeRoleName
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`EReference` | `getAltExp_Body()`
`EReference` | `getAltExp_Condition()`
`EClass` | `getAltExp()`
`EReference` | `getAssertExp_Assertion()`
`EReference` | `getAssertExp_Log()`
`EAttribute` | `getAssertExp_Severity()`
`EClass` | `getAssertExp()`
`EReference` | `getAssignExp_DefaultValue()`
`EAttribute` | `getAssignExp_IsReset()`
`EReference` | `getAssignExp_Left()`
`EReference` | `getAssignExp_Value()`
`EClass` | `getAssignExp()`
`EReference` | `getBlockExp_Body()`
`EClass` | `getBlockExp()`
`EClass` | `getBreakExp()`
`EReference` | `getCatchExp_Body()`
`EReference` | `getCatchExp_Exception()`
`EClass` | `getCatchExp()`
`EReference` | `getComputeExp_Body()`
`EReference` | `getComputeExp_ReturnedElement()`
`EClass` | `getComputeExp()`
`EClass` | `getContinueExp()`
`EReference` | `getDictionaryType_KeyType()`
`EClass` | `getDictionaryType()`
`EReference` | `getDictLiteralExp_Part()`
`EClass` | `getDictLiteralExp()`
`EReference` | `getDictLiteralPart_Key()`
`EReference` | `getDictLiteralPart_Value()`
`EClass` | `getDictLiteralPart()`
`EClass` | `getForExp()`
`EClass` | `getImperativeExpression()`
`EReference` | `getImperativeIterateExp_Target()`
`EClass` | `getImperativeIterateExp()`
`EReference` | `getImperativeLoopExp_Condition()`
`EClass` | `getImperativeLoopExp()`
`ImperativeOCLFactory` | `getImperativeOCLFactory()`
`EReference` | `getInstantiationExp_Argument()`
`EReference` | `getInstantiationExp_Extent()`
`EReference` | `getInstantiationExp_InstantiatedClass()`
`EClass` | `getInstantiationExp()`
`EReference` | `getListLiteralExp_Element()`
`EClass` | `getListLiteralExp()`
`EClass` | `getListType()`
`EReference` | `getLogExp_Condition()`
`EClass` | `getLogExp()`
`EReference` | `getOrderedTupleLiteralExp_Part()`
`EClass` | `getOrderedTupleLiteralExp()`
`EReference` | `getOrderedTupleLiteralPart_Value()`
`EClass` | `getOrderedTupleLiteralPart()`
`EReference` | `getOrderedTupleType_ElementType()`
`EClass` | `getOrderedTupleType()`
`EReference` | `getRaiseExp_Argument()`
`EReference` | `getRaiseExp_Exception()`
`EClass` | `getRaiseExp()`
`EReference` | `getReturnExp_Value()`
`EClass` | `getReturnExp()`
`EEnum` | `getSeverityKind()`
`EReference` | `getSwitchExp_AlternativePart()`
`EReference` | `getSwitchExp_ElsePart()`
`EClass` | `getSwitchExp()`
`EReference` | `getTryExp_ExceptClause()`
`EReference` | `getTryExp_TryBody()`
`EClass` | `getTryExp()`
`EReference` | `getTypedef_Base()`
`EReference` | `getTypedef_Condition()`
`EClass` | `getTypedef()`
`EReference` | `getUnlinkExp_Item()`
`EReference` | `getUnlinkExp_Target()`
`EClass` | `getUnlinkExp()`
`EReference` | `getUnpackExp_Source()`
`EReference` | `getUnpackExp_TargetVariable()`
`EClass` | `getUnpackExp()`
`EReference` | `getVariableInitExp_ReferredVariable()`
`EAttribute` | `getVariableInitExp_WithResult()`
`EClass` | `getVariableInitExp()`
`EReference` | `getWhileExp_Body()`
`EReference` | `getWhileExp_Condition()`
`EClass` | `getWhileExp()`
`static ImperativeOCLPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static ImperativeOCLPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `ImperativeOCLPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `ImperativeOCLPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAltExp

    public EClass getAltExp()

  Specified by:
    `getAltExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Alt Exp'.
  See Also:
    `AltExp`

### getAltExp_Body

    public EReference getAltExp_Body()

  Specified by:
    `getAltExp_Body` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `AltExp.getBody()`, `ImperativeOCLPackage.getAltExp()`

### getAltExp_Condition

    public EReference getAltExp_Condition()

  Specified by:
    `getAltExp_Condition` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `AltExp.getCondition()`, `ImperativeOCLPackage.getAltExp()`

### getAssertExp

    public EClass getAssertExp()

  Specified by:
    `getAssertExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Assert Exp'.
  See Also:
    `AssertExp`

### getAssertExp_Assertion

    public EReference getAssertExp_Assertion()

  Specified by:
    `getAssertExp_Assertion` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Assertion'.
  See Also:
    `AssertExp.getAssertion()`, `ImperativeOCLPackage.getAssertExp()`

### getAssertExp_Log

    public EReference getAssertExp_Log()

  Specified by:
    `getAssertExp_Log` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Log'.
  See Also:
    `AssertExp.getLog()`, `ImperativeOCLPackage.getAssertExp()`

### getAssertExp_Severity

    public EAttribute getAssertExp_Severity()

  Specified by:
    `getAssertExp_Severity` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `AssertExp.getSeverity()`, `ImperativeOCLPackage.getAssertExp()`

### getAssignExp

    public EClass getAssignExp()

  Specified by:
    `getAssignExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Assign Exp'.
  See Also:
    `AssignExp`

### getAssignExp_DefaultValue

    public EReference getAssignExp_DefaultValue()

  Specified by:
    `getAssignExp_DefaultValue` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Default Value'.
  See Also:
    `AssignExp.getDefaultValue()`, `ImperativeOCLPackage.getAssignExp()`

### getAssignExp_IsReset

    public EAttribute getAssignExp_IsReset()

  Specified by:
    `getAssignExp_IsReset` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the attribute 'Is Reset'.
  See Also:
    `AssignExp.isIsReset()`, `ImperativeOCLPackage.getAssignExp()`

### getAssignExp_Left

    public EReference getAssignExp_Left()

  Specified by:
    `getAssignExp_Left` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Left'.
  See Also:
    `AssignExp.getLeft()`, `ImperativeOCLPackage.getAssignExp()`

### getAssignExp_Value

    public EReference getAssignExp_Value()

  Specified by:
    `getAssignExp_Value` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Value'.
  See Also:
    `AssignExp.getValue()`, `ImperativeOCLPackage.getAssignExp()`

### getBlockExp

    public EClass getBlockExp()

  Specified by:
    `getBlockExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Block Exp'.
  See Also:
    `BlockExp`

### getBlockExp_Body

    public EReference getBlockExp_Body()

  Specified by:
    `getBlockExp_Body` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Body'.
  See Also:
    `BlockExp.getBody()`, `ImperativeOCLPackage.getBlockExp()`

### getBreakExp

    public EClass getBreakExp()

  Specified by:
    `getBreakExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Break Exp'.
  See Also:
    `BreakExp`

### getCatchExp

    public EClass getCatchExp()

  Specified by:
    `getCatchExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Catch Exp'.
  See Also:
    `CatchExp`

### getCatchExp_Body

    public EReference getCatchExp_Body()

  Specified by:
    `getCatchExp_Body` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Body'.
  See Also:
    `CatchExp.getBody()`, `ImperativeOCLPackage.getCatchExp()`

### getCatchExp_Exception

    public EReference getCatchExp_Exception()

  Specified by:
    `getCatchExp_Exception` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference list 'Exception'.
  See Also:
    `CatchExp.getException()`, `ImperativeOCLPackage.getCatchExp()`

### getComputeExp

    public EClass getComputeExp()

  Specified by:
    `getComputeExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Compute Exp'.
  See Also:
    `ComputeExp`

### getComputeExp_Body

    public EReference getComputeExp_Body()

  Specified by:
    `getComputeExp_Body` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `ComputeExp.getBody()`, `ImperativeOCLPackage.getComputeExp()`

### getComputeExp_ReturnedElement

    public EReference getComputeExp_ReturnedElement()

  Specified by:
    `getComputeExp_ReturnedElement` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Returned Element'.
  See Also:
    `ComputeExp.getReturnedElement()`, `ImperativeOCLPackage.getComputeExp()`

### getContinueExp

    public EClass getContinueExp()

  Specified by:
    `getContinueExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Continue Exp'.
  See Also:
    `ContinueExp`

### getDictLiteralExp

    public EClass getDictLiteralExp()

  Specified by:
    `getDictLiteralExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Dict Literal Exp'.
  See Also:
    `DictLiteralExp`

### getDictLiteralExp_Part

    public EReference getDictLiteralExp_Part()

  Specified by:
    `getDictLiteralExp_Part` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `DictLiteralExp.getPart()`, `ImperativeOCLPackage.getDictLiteralExp()`

### getDictLiteralPart

    public EClass getDictLiteralPart()

  Specified by:
    `getDictLiteralPart` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Dict Literal Part'.
  See Also:
    `DictLiteralPart`

### getDictLiteralPart_Key

    public EReference getDictLiteralPart_Key()

  Specified by:
    `getDictLiteralPart_Key` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Key'.
  See Also:
    `DictLiteralPart.getKey()`, `ImperativeOCLPackage.getDictLiteralPart()`

### getDictLiteralPart_Value

    public EReference getDictLiteralPart_Value()

  Specified by:
    `getDictLiteralPart_Value` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `DictLiteralPart.getValue()`, `ImperativeOCLPackage.getDictLiteralPart()`

### getDictionaryType

    public EClass getDictionaryType()

  Specified by:
    `getDictionaryType` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Dictionary Type'.
  See Also:
    `DictionaryType`

### getDictionaryType_KeyType

    public EReference getDictionaryType_KeyType()

  Specified by:
    `getDictionaryType_KeyType` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference 'Key Type'.
  See Also:
    `DictionaryType.getKeyType()`, `ImperativeOCLPackage.getDictionaryType()`

### getForExp

    public EClass getForExp()

  Specified by:
    `getForExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'For Exp'.
  See Also:
    `ForExp`

### getImperativeExpression

    public EClass getImperativeExpression()

  Specified by:
    `getImperativeExpression` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Imperative Expression'.
  See Also:
    `ImperativeExpression`

### getImperativeIterateExp

    public EClass getImperativeIterateExp()

  Specified by:
    `getImperativeIterateExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Imperative Iterate Exp'.
  See Also:
    `ImperativeIterateExp`

### getImperativeIterateExp_Target

    public EReference getImperativeIterateExp_Target()

  Specified by:
    `getImperativeIterateExp_Target` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `ImperativeIterateExp.getTarget()`, `ImperativeOCLPackage.getImperativeIterateExp()`

### getImperativeLoopExp

    public EClass getImperativeLoopExp()

  Specified by:
    `getImperativeLoopExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Imperative Loop Exp'.
  See Also:
    `ImperativeLoopExp`

### getImperativeLoopExp_Condition

    public EReference getImperativeLoopExp_Condition()

  Specified by:
    `getImperativeLoopExp_Condition` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `ImperativeLoopExp.getCondition()`, `ImperativeOCLPackage.getImperativeLoopExp()`

### getInstantiationExp

    public EClass getInstantiationExp()

  Specified by:
    `getInstantiationExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Instantiation Exp'.
  See Also:
    `InstantiationExp`

### getInstantiationExp_Argument

    public EReference getInstantiationExp_Argument()

  Specified by:
    `getInstantiationExp_Argument` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Argument'.
  See Also:
    `InstantiationExp.getArgument()`, `ImperativeOCLPackage.getInstantiationExp()`

### getInstantiationExp_Extent

    public EReference getInstantiationExp_Extent()

  Specified by:
    `getInstantiationExp_Extent` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference 'Extent'.
  See Also:
    `InstantiationExp.getExtent()`, `ImperativeOCLPackage.getInstantiationExp()`

### getInstantiationExp_InstantiatedClass

    public EReference getInstantiationExp_InstantiatedClass()

  Specified by:
    `getInstantiationExp_InstantiatedClass` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference 'Instantiated Class'.
  See Also:
    `InstantiationExp.getInstantiatedClass()`, `ImperativeOCLPackage.getInstantiationExp()`

### getListLiteralExp

    public EClass getListLiteralExp()

  Specified by:
    `getListLiteralExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'List Literal Exp'.
  Since:
    3.0
  See Also:
    `ListLiteralExp`

### getListLiteralExp_Element

    public EReference getListLiteralExp_Element()

  Specified by:
    `getListLiteralExp_Element` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Element'.
  Since:
    3.0
  See Also:
    `ListLiteralExp.getElement()`, `ImperativeOCLPackage.getListLiteralExp()`

### getListType

    public EClass getListType()

  Specified by:
    `getListType` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'List Type'.
  See Also:
    `ListType`

### getLogExp

    public EClass getLogExp()

  Specified by:
    `getLogExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Log Exp'.
  See Also:
    `LogExp`

### getLogExp_Condition

    public EReference getLogExp_Condition()

  Specified by:
    `getLogExp_Condition` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `LogExp.getCondition()`, `ImperativeOCLPackage.getLogExp()`

### getOrderedTupleLiteralExp

    public EClass getOrderedTupleLiteralExp()

  Specified by:
    `getOrderedTupleLiteralExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Ordered Tuple Literal Exp'.
  See Also:
    `OrderedTupleLiteralExp`

### getOrderedTupleLiteralExp_Part

    public EReference getOrderedTupleLiteralExp_Part()

  Specified by:
    `getOrderedTupleLiteralExp_Part` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `OrderedTupleLiteralExp.getPart()`, `ImperativeOCLPackage.getOrderedTupleLiteralExp()`

### getOrderedTupleLiteralPart

    public EClass getOrderedTupleLiteralPart()

  Specified by:
    `getOrderedTupleLiteralPart` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Ordered Tuple Literal Part'.
  See Also:
    `OrderedTupleLiteralPart`

### getOrderedTupleLiteralPart_Value

    public EReference getOrderedTupleLiteralPart_Value()

  Specified by:
    `getOrderedTupleLiteralPart_Value` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `OrderedTupleLiteralPart.getValue()`, `ImperativeOCLPackage.getOrderedTupleLiteralPart()`

### getOrderedTupleType

    public EClass getOrderedTupleType()

  Specified by:
    `getOrderedTupleType` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Ordered Tuple Type'.
  See Also:
    `OrderedTupleType`

### getOrderedTupleType_ElementType

    public EReference getOrderedTupleType_ElementType()

  Specified by:
    `getOrderedTupleType_ElementType` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference list 'Element Type'.
  See Also:
    `OrderedTupleType.getElementType()`, `ImperativeOCLPackage.getOrderedTupleType()`

### getRaiseExp

    public EClass getRaiseExp()

  Specified by:
    `getRaiseExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Raise Exp'.
  See Also:
    `RaiseExp`

### getRaiseExp_Argument

    public EReference getRaiseExp_Argument()

  Specified by:
    `getRaiseExp_Argument` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Argument'.
  See Also:
    `RaiseExp.getArgument()`, `ImperativeOCLPackage.getRaiseExp()`

### getRaiseExp_Exception

    public EReference getRaiseExp_Exception()

  Specified by:
    `getRaiseExp_Exception` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference 'Exception'.
  See Also:
    `RaiseExp.getException()`, `ImperativeOCLPackage.getRaiseExp()`

### getReturnExp

    public EClass getReturnExp()

  Specified by:
    `getReturnExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Return Exp'.
  See Also:
    `ReturnExp`

### getReturnExp_Value

    public EReference getReturnExp_Value()

  Specified by:
    `getReturnExp_Value` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `ReturnExp.getValue()`, `ImperativeOCLPackage.getReturnExp()`

### getSwitchExp

    public EClass getSwitchExp()

  Specified by:
    `getSwitchExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Switch Exp'.
  See Also:
    `SwitchExp`

### getSwitchExp_AlternativePart

    public EReference getSwitchExp_AlternativePart()

  Specified by:
    `getSwitchExp_AlternativePart` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Alternative Part'.
  See Also:
    `SwitchExp.getAlternativePart()`, `ImperativeOCLPackage.getSwitchExp()`

### getSwitchExp_ElsePart

    public EReference getSwitchExp_ElsePart()

  Specified by:
    `getSwitchExp_ElsePart` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Else Part'.
  See Also:
    `SwitchExp.getElsePart()`, `ImperativeOCLPackage.getSwitchExp()`

### getTryExp

    public EClass getTryExp()

  Specified by:
    `getTryExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Try Exp'.
  See Also:
    `TryExp`

### getTryExp_ExceptClause

    public EReference getTryExp_ExceptClause()

  Specified by:
    `getTryExp_ExceptClause` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Except Clause'.
  See Also:
    `TryExp.getExceptClause()`, `ImperativeOCLPackage.getTryExp()`

### getTryExp_TryBody

    public EReference getTryExp_TryBody()

  Specified by:
    `getTryExp_TryBody` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference list 'Try Body'.
  See Also:
    `TryExp.getTryBody()`, `ImperativeOCLPackage.getTryExp()`

### getTypedef

    public EClass getTypedef()

  Specified by:
    `getTypedef` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Typedef'.
  See Also:
    `Typedef`

### getTypedef_Base

    public EReference getTypedef_Base()

  Specified by:
    `getTypedef_Base` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference 'Base'.
  See Also:
    `Typedef.getBase()`, `ImperativeOCLPackage.getTypedef()`

### getTypedef_Condition

    public EReference getTypedef_Condition()

  Specified by:
    `getTypedef_Condition` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `Typedef.getCondition()`, `ImperativeOCLPackage.getTypedef()`

### getUnlinkExp

    public EClass getUnlinkExp()

  Specified by:
    `getUnlinkExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Unlink Exp'.
  See Also:
    `UnlinkExp`

### getUnlinkExp_Item

    public EReference getUnlinkExp_Item()

  Specified by:
    `getUnlinkExp_Item` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Item'.
  See Also:
    `UnlinkExp.getItem()`, `ImperativeOCLPackage.getUnlinkExp()`

### getUnlinkExp_Target

    public EReference getUnlinkExp_Target()

  Specified by:
    `getUnlinkExp_Target` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `UnlinkExp.getTarget()`, `ImperativeOCLPackage.getUnlinkExp()`

### getUnpackExp

    public EClass getUnpackExp()

  Specified by:
    `getUnpackExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Unpack Exp'.
  See Also:
    `UnpackExp`

### getUnpackExp_Source

    public EReference getUnpackExp_Source()

  Specified by:
    `getUnpackExp_Source` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `UnpackExp.getSource()`, `ImperativeOCLPackage.getUnpackExp()`

### getUnpackExp_TargetVariable

    public EReference getUnpackExp_TargetVariable()

  Specified by:
    `getUnpackExp_TargetVariable` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the reference list 'Target Variable'.
  See Also:
    `UnpackExp.getTargetVariable()`, `ImperativeOCLPackage.getUnpackExp()`

### getVariableInitExp

    public EClass getVariableInitExp()

  Specified by:
    `getVariableInitExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'Variable Init Exp'.
  See Also:
    `VariableInitExp`

### getVariableInitExp_ReferredVariable

    public EReference getVariableInitExp_ReferredVariable()

  Specified by:
    `getVariableInitExp_ReferredVariable` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Referred Variable'.
  See Also:
    `VariableInitExp.getReferredVariable()`, `ImperativeOCLPackage.getVariableInitExp()`

### getVariableInitExp_WithResult

    public EAttribute getVariableInitExp_WithResult()

  Specified by:
    `getVariableInitExp_WithResult` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the attribute 'With Result'.
  See Also:
    `VariableInitExp.isWithResult()`, `ImperativeOCLPackage.getVariableInitExp()`

### getWhileExp

    public EClass getWhileExp()

  Specified by:
    `getWhileExp` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for class 'While Exp'.
  See Also:
    `WhileExp`

### getWhileExp_Body

    public EReference getWhileExp_Body()

  Specified by:
    `getWhileExp_Body` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `WhileExp.getBody()`, `ImperativeOCLPackage.getWhileExp()`

### getWhileExp_Condition

    public EReference getWhileExp_Condition()

  Specified by:
    `getWhileExp_Condition` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `WhileExp.getCondition()`, `ImperativeOCLPackage.getWhileExp()`

### getSeverityKind

    public EEnum getSeverityKind()

  Specified by:
    `getSeverityKind` in interface `ImperativeOCLPackage`
  Returns:
    the meta object for enum 'Severity Kind'.
  See Also:
    `SeverityKind`

### getImperativeOCLFactory

    public ImperativeOCLFactory getImperativeOCLFactory()

  Specified by:
    `getImperativeOCLFactory` in interface `ImperativeOCLPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createEmofAnnotations

    protected void createEmofAnnotations()

  Initializes the annotations for http://schema.omg.org/spec/MOF/2.0/emof.xml#Property.oppositeRoleName.

### createEcoreAnnotations

    protected void createEcoreAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD